Bug 177211 - Review Request: newsx - NNTP news exchange utility
Review Request: newsx - NNTP news exchange utility
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-07 12:11 EST by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-01 08:36:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-01-07 12:11:44 EST
Spec Name or Url: http://rpm.greysector.net/extras/newsx.spec
SRPM Name or Url: http://rpm.greysector.net/extras/newsx-1.6-1.src.rpm
Description:
Newsx is an NNTP client that will connect to a remote NNTP server and
post outgoing news articles batched by the news system (e.g. INN), as
well as fetch incoming articles.
Comment 1 Jochen Schmitt 2006-02-22 13:57:56 EST
God:
+ rpm for srpm worked fine.
+ Local build worked fine.
Bad:
- rpmlint binary rpm complaints:

rpmlint newsx-1.6-1.i686.rpm
E: newsx non-standard-dir-perm /var/spool/news/inhosts 0770

- Please use %{?dist} in Release tag.
- Mock build failed.

Unfortunately I have not the rights to sponsor you.


Comment 2 Dominik 'Rathann' Mierzejewski 2006-04-02 18:05:17 EDT
http://rpm.greysector.net/extras/newsx.spec
http://rpm.greysector.net/extras/newsx-1.6-2.src.rpm

Should be fixed now.
Comment 3 John Mahowald 2006-04-07 02:13:00 EDT
Build failed.

checking history... ERROR: cannot determine hash mode of /var/lib/news/history
Try running makehistory first.

There's a good chance your Requires line is not needed. rpm can figure out from
the BuildRequires that it needs inn.
Comment 4 John Mahowald 2006-07-25 22:29:34 EDT
Ping.

Adding --without-history to %configure results in a build.

What's this Provides:	news-sucker  line?
Comment 5 Dominik 'Rathann' Mierzejewski 2006-07-28 13:48:51 EDT
I can't reproduce that failure on FC5 box. I've dropped that Provides: line, but
I think Requires: inn should be kept, because newsx doesn't depend on any inn
libs directly.

http://rpm.greysector.net/extras/newsx.spec
http://rpm.greysector.net/extras/newsx-1.6-3.src.rpm
Comment 6 Dominik 'Rathann' Mierzejewski 2006-08-08 07:47:38 EDT
*ping*
Comment 7 John Mahowald 2006-08-14 09:52:57 EDT
Building with mock on both FC5 and FC6 I still get 

checking history... ERROR: cannot determine hash mode of /var/lib/news/history
Try running makehistory first.

Adding --without-history to configure does make it build.
Comment 8 Dominik 'Rathann' Mierzejewski 2006-09-02 12:28:57 EDT
Builds fine in both fc6 and fc5 mock here.
Comment 9 Dominik 'Rathann' Mierzejewski 2006-09-27 17:40:19 EDT
*ping*?
Comment 10 Stewart Adam 2006-09-27 19:46:15 EDT
It builds fine in a mock here.
Comment 11 John Mahowald 2006-09-30 17:35:56 EDT
rpmlint of newsx:
E: newsx non-standard-dir-perm /var/spool/news/inhosts 0770

+ source matches upstream
+ proper use of macros
+ license (GPL)
+ good buildroot
+ %clean section
+ smp flags
+ all needed BuildRequires

APPROVED
Comment 12 Dominik 'Rathann' Mierzejewski 2006-10-01 08:36:21 EDT
Darn, you *were* right after all, it failed on the builders just the way you
described it. And yet 2 other people were unable to reproduce it... incredible.
Anyway, I "fixed" the build just like you told me to, imported and built for
devel. FC-5 branch requested. Thanks for the review!
Comment 13 John Mahowald 2006-10-01 11:29:30 EDT
You are welcome.

Odd that you could not reproduce. I did mock build mine.

Note You need to log in before you can comment on or make changes to this bug.